zenilib: zenilib/jni/external/libvorbis/lib/envelope.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Functions
envelope.h File Reference
`#include "mdct.h"`

Go to the source code of this file.

## Classes

struct | envelope_band
struct | envelope_filter_state
struct | envelope_lookup

## Macros

#define | VE_AMP (VE_PRE+VE_POST-1)
#define | VE_BANDS 7
#define | VE_MAXSTRETCH 12 /* one-third full block */
#define | VE_MINSTRETCH 2 /* a bit less than short block */
#define | VE_NEARDC 15
#define | VE_POST 2
#define | VE_PRE 16
#define | VE_WIN 4

## Functions

void | _ve_envelope_clear (envelope_lookup *e)
void | _ve_envelope_init (envelope_lookup *e, vorbis_info *vi)
int | _ve_envelope_mark (vorbis_dsp_state *v)
long | _ve_envelope_search (vorbis_dsp_state *v)
void | _ve_envelope_shift (envelope_lookup *e, long shift)

## Macro Definition Documentation

#define VE_AMP (VE_PRE+VE_POST-1)

Definition at line 26 of file envelope.h.

Referenced by _ve_amp().

#define VE_BANDS 7

Definition at line 28 of file envelope.h.

Referenced by _ve_amp(), _ve_envelope_clear(), _ve_envelope_init(), _ve_envelope_search(), and _ve_envelope_shift().

#define VE_MAXSTRETCH 12 /* one-third full block */

Definition at line 32 of file envelope.h.

Referenced by _ve_envelope_search().

#define VE_MINSTRETCH 2 /* a bit less than short block */

Definition at line 31 of file envelope.h.

Referenced by _ve_amp().

#define VE_NEARDC 15

Definition at line 29 of file envelope.h.

Referenced by _ve_amp().

#define VE_POST 2

Definition at line 25 of file envelope.h.

Referenced by _ve_envelope_search(), and _ve_envelope_shift().

#define VE_PRE 16

Definition at line 23 of file envelope.h.

#define VE_WIN 4

Definition at line 24 of file envelope.h.

Referenced by _ve_envelope_search().

## Function Documentation

void _ve_envelope_clear | ( | envelope_lookup * | e | ) |

Definition at line 76 of file envelope.c.

References _ogg_free, envelope_lookup::band, envelope_lookup::filter, i, envelope_lookup::mark, envelope_lookup::mdct, mdct_clear(), envelope_lookup::mdct_win, memset, VE_BANDS, and envelope_band::window.

Referenced by vorbis_dsp_clear().

void _ve_envelope_init | ( | envelope_lookup * | e,
|  | vorbis_info * | vi
| ) |  |

Definition at line 32 of file envelope.c.

References _ogg_calloc, _ogg_malloc, envelope_lookup::band, envelope_band::begin, codec_setup_info::blocksizes, envelope_lookup::ch, vorbis_info::channels, vorbis_info::codec_setup, envelope_lookup::cursor, envelope_band::end, envelope_lookup::filter, i, j, M_PI, envelope_lookup::mark, envelope_lookup::mdct, mdct_init(), envelope_lookup::mdct_win, envelope_lookup::minenergy, vorbis_info_psy_global::preecho_minenergy, codec_setup_info::psy_g_param, envelope_lookup::searchstep, sin(), envelope_lookup::storage, envelope_band::total, VE_BANDS, envelope_band::window, and envelope_lookup::winlength.

Referenced by vorbis_analysis_init().

int _ve_envelope_mark | ( | vorbis_dsp_state * | v | ) |

Definition at line 330 of file envelope.c.

References vorbis_dsp_state::backend_state, codec_setup_info::blocksizes, vorbis_dsp_state::centerW, vorbis_info::codec_setup, envelope_lookup::curmark, i, vorbis_dsp_state::lW, envelope_lookup::mark, vorbis_dsp_state::nW, envelope_lookup::searchstep, vorbis_dsp_state::vi, vi, and vorbis_dsp_state::W.

Referenced by vorbis_analysis_blockout().

long _ve_envelope_search | ( | vorbis_dsp_state * | v | ) |

Definition at line 216 of file envelope.c.

References _ogg_realloc, _ve_amp(), vorbis_dsp_state::backend_state, envelope_lookup::band, codec_setup_info::blocksizes, vorbis_dsp_state::centerW, envelope_lookup::ch, vorbis_info::codec_setup, envelope_lookup::curmark, envelope_lookup::current, envelope_lookup::cursor, envelope_lookup::filter, i, j, m, envelope_lookup::mark, memset, vorbis_dsp_state::pcm, vorbis_dsp_state::pcm_current, codec_setup_info::psy_g_param, ret, envelope_lookup::searchstep, envelope_lookup::storage, envelope_lookup::stretch, VE_BANDS, VE_MAXSTRETCH, VE_POST, VE_WIN, vorbis_dsp_state::vi, vi, and vorbis_dsp_state::W.

Referenced by vorbis_analysis_blockout().

void _ve_envelope_shift | ( | envelope_lookup * | e,
|  | long | shift
| ) |  |

Definition at line 356 of file envelope.c.

References envelope_lookup::ch, envelope_lookup::curmark, envelope_lookup::current, envelope_lookup::cursor, envelope_lookup::filter, i, envelope_lookup::mark, memmove, envelope_lookup::searchstep, VE_BANDS, and VE_POST.

Referenced by vorbis_analysis_blockout().